#!/bin/sh

set -e

CADDYFILE="${CADDYFILE:-/etc/caddy/Caddyfile}"

if [ "$1" = "validate" ] && [ -z "$2" ]; then
    exec /usr/bin/caddy validate --config "$CADDYFILE"
elif [ -n "$1" ]; then
    exec /usr/bin/caddy "$@"
else
    /usr/bin/caddy validate --config "$CADDYFILE"
    exec /usr/bin/caddy run --config "$CADDYFILE" --resume
fi
